VST 3 Examples VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
Validator Class Reference

Main Class of Validator. More...

`#include <validator.h>`

Inheritance diagram for Validator:

## Public Types
using | Module = VST3::Hosting::Module

## Public Member Functions
| Validator (int argc, char *argv[])
| ~Validator ()
int | run ()
OBJ_METHODS(Validator, FObject) REFCOUNT_METHODS(FObject) DEFINE_INTERFACES DEF_INTERFACE(ITestResult) DEF_INTERFACE(IHostApplication) END_DEFINE_INTERFACES(FObject) protected void | addMessage (const char *msg) override
tresult | getName (String128 name) override
tresult | createInstance (TUID cid, TUID iid, void **obj) override
bool | filterClassCategory (FIDString category, FIDString classCategory) const
void | createTests (IPlugProvider *plugProvider, const ConstString &plugName)
void | addTest (ITestSuite *testSuite, VstTestBase *test)
void | runTestSuite (TestSuite *suite, FIDString nameFilter=0)
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Public Attributes
int | argc
char ** | argv
Module::Ptr | module
Module::Ptr | testModule
OPtr< TestSuite > | testSuite
int32 | numTestsFailed
int32 | numTestsPassed

## Additional Inherited Members
Static Public Attributes inherited from IHostApplication
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Main Class of Validator.

## Member Typedef Documentation

using Module = VST3::Hosting::Module

## Constructor & Destructor Documentation

Validator | ( | int | argc,
|  | char * | argv[]
| ) |  |

~Validator | ( |  | ) |

## Member Function Documentation

int run | ( |  | ) |

void addMessage | ( | const char * | msg | ) |
| override

tresult getName | ( | String128 | name | ) |
| override virtual

Implements IHostApplication.

tresult createInstance | ( | TUID | cid,
|  | TUID | iid,
|  | void ** | obj
| ) |  |
| override virtual

Implements IHostApplication.

bool filterClassCategory | ( | FIDString | category,
|  | FIDString | classCategory
| ) |  | const

void createTests | ( | IPlugProvider * | plugProvider,
|  | const ConstString & | plugName
| ) |  |

void addTest | ( | ITestSuite * | testSuite,
|  | VstTestBase * | test
| ) |  |

void runTestSuite | ( | TestSuite * | suite,
|  | FIDString | nameFilter = `0`
| ) |  |

## Member Data Documentation

int argc

char** argv

Module::Ptr module

Module::Ptr testModule

OPtr<TestSuite> testSuite

int32 numTestsFailed

int32 numTestsPassed

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.